Jack2 1.9.12

Public Attributes | List of all members
jack_driver_param_desc_t Struct Reference

`#include <driver_interface.h>`

## Public Attributes
char | name [JACK_DRIVER_NAME_MAX+1]
char | character
jack_driver_param_type_t | type
jack_driver_param_value_t | value
jack_driver_param_constraint_desc_t * | constraint
char | short_desc [64]
char | long_desc [1024]

## Detailed Description

A driver parameter descriptor

Definition at line 113 of file driver_interface.h.

## Member Data Documentation

## ◆ name

char jack_driver_param_desc_t::name[JACK_DRIVER_NAME_MAX+1]

The parameter's name

Definition at line 114 of file driver_interface.h.

## ◆ character

char jack_driver_param_desc_t::character

The parameter's character (for getopt, etc)

Definition at line 115 of file driver_interface.h.

## ◆ type

jack_driver_param_type_t jack_driver_param_desc_t::type

The parameter's type

Definition at line 116 of file driver_interface.h.

## ◆ value

jack_driver_param_value_t jack_driver_param_desc_t::value

The parameter's (default) value

Definition at line 117 of file driver_interface.h.

## ◆ constraint

jack_driver_param_constraint_desc_t* jack_driver_param_desc_t::constraint

Pointer to parameter constraint descriptor. NULL if there is no constraint

Definition at line 118 of file driver_interface.h.

## ◆ short_desc

char jack_driver_param_desc_t::short_desc[64]

A short (~30 chars) description for the user

Definition at line 119 of file driver_interface.h.

## ◆ long_desc

char jack_driver_param_desc_t::long_desc[1024]

A longer description for the user

Definition at line 120 of file driver_interface.h.

The documentation for this struct was generated from the following file:

- driver_interface.h